Subject: [Sml] Re: Suppressing SML fallbacks
From: [email-masked]
To: [email-masked], Ben Bucksch <[email-masked]>
Date: Tue, 28 Apr 2026 20:09:16 +0200
List-Id: Structured Email <sml.ietf.org>

Hi, 
Now that your say it, I remember that.
Perhaps the spec should be "render either this or your json-ld 
thing, your choice, they're equivalent".
HJ? Can you add this to the draft, unless you disagree?
Arnt
On 2026-04-28 Ben Bucksch <[email-masked]> wrote:
> Hey Arnt, SML group,
> Arnt Gulbrandsen wrote on 27.4.2026, 22:41:
> > SML is extremely minimal in some senses, there's no rendering 
> > advice or anything. When I composed some mail on Friday, I 
> > found that there was something I wanted: Suppose you send some 
> > HTML mail and you attach some SML. Fine. You may want to add a 
> > fallback of some sort. In actual fact I immediately …
> Yes, there's definitely a need for that.
> We've discussed this about a year ago, in one of the IETF 
> meetings. HJ suggested to mark this fallback HTML element with 
> an attribute that references an ID in the SML. That attribute 
> tells the renderer that the SML is equivalent to that HTML 
> element, so the renderer can do its fancy programmatic rendering 
> instead of the static HTML. We had this conceptually mostly 
> nailed down, and were fairly concrete in the solution. We 
> stopped just short of defining the exact HTML attribute name, 
> value, and how IDs look like and how exactly they are found in 
> the SML.
> Why important: E.g. the Polls usecase that I presented at FOSDEM 
> 2026 <https://fosdem.org/2026/schedule/event/JQSRHP-parula/>. 
> You want the responses from all recipients, not only those that 
> happen to use Parula or HJ's version of K9Mail. So, my plan (not 
> implemented yet) is to include a static preview of the options, 
> and a link to a webpage, where the recipient can then answer the 
> poll. Parula (and other SML mail readers that support this 
> particular "meeting time poll" usecase) can render the calendar 
> UI inline, and merge the poll with my own calendar, which 
> supports me better, but non-Parula users can still respond. For 
> this to work, Parula needs to know at which point in the HTML 
> the fallback is, so that it can replace it.
> Ben
> ​--
> Beonex GmbH
> Taunusstein bei Wiesbaden, Germany
> CEO / Geschäftsführer: Ben Bucksch
> Handelsregister: Amtsgericht Wiesbaden, HRB 30065
> ​--
> Sml mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]